Project Task Templates - Assignments API
Project Task Templates - Assignments API
Заголовок раздела «Project Task Templates - Assignments API»List all assignments of a project task template
Заголовок раздела «List all assignments of a project task template»List all assignments of the project task template with a specific ID:
GET /project_task_templates/:id/assignmentsResponse
Заголовок раздела «Response»Status: 200 OK[ { "assignee": { "id": 48317, "name": "Howard Tanner", "account": { "id": "pro-product", "name": "Widget International" } }, "id": 14752, "planned_effort": 60 }, { "assignee": { "id": 49091, "name": "Nathan Stadler", "account": { "id": "pro-product", "name": "Widget International" } }, "id": 14753, "planned_effort": 60 }]The response contains these fields by default.
Add an assignment to a project task template
Заголовок раздела «Add an assignment to a project task template»Add an assignment to a project task template with a specific ID.
POST /project_task_templates/:id/assignmentsWhen creating a new assignment for a project task template these fields are available.
Response
Заголовок раздела «Response»Status: 201 Created{ "assignee": { "id": 50378, "name": "Matt Leach" }, "id": 16093, "planned_effort": 180}Update an assignment of a project task template
Заголовок раздела «Update an assignment of a project task template»Update an assignment of a project task template with a specific ID.
PATCH /project_task_templates/:id/assignments/:assignment_idWhen updating an existing assignment for a project task template these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "planned_effort": 180, "...": "..."}Remove an assignment from a project task template
Заголовок раздела «Remove an assignment from a project task template»Remove an assignment with a specific ID from a project task template with a specific ID.
DELETE /project_task_templates/:id/assignments/:assignment_idResponse
Заголовок раздела «Response»Status: 204 No ContentRemove all assignments from a project task template
Заголовок раздела «Remove all assignments from a project task template»Remove all assignment from a project task template with a specific ID.
DELETE /project_task_templates/:id/assignments/Response
Заголовок раздела «Response»Status: 204 No Contentassignee
Required reference to Person — The ID of the person who is selected as the assignee for the project task template assignment.
id
Readonly integer — The unique ID of the project task template assignment.
planned_effort
Optional integer (max 600000) — The Planned effort field is used to enter the number of minutes the assignee is expected to spend working on a project task that was created based on the project task template to which the assignment belongs.